> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/push-provisioning/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md).

# Unbind a device

The Issuer can remove a previously established binding between an e-commerce digital card and a device.

This functionality is available through `DigitalCardService` and the `unbindDevice` API.

The following examples show how to use the API.

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // obtained from digital card's device binding list
val bindingReference = "" // deviceIndex from device binding list
val reason: DigitalCardService.UnbindReason? =
    DigitalCardService.UnbindReason.USER_DECISION // optional; null defaults to ISSUER_DECISION

d1Task.digitalCardService().unbindDevice(
    digitalCardID,
    bindingReference,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // Handle success.
        }

        override fun onError(e: D1Exception) {
            // Handle error.
        }
    }
)
```

```java
String digitalCardID = ""; // obtained from digital card's device binding list
String bindingReference = ""; // deviceIndex from device binding list
DigitalCardService.UnbindReason reason =
        DigitalCardService.UnbindReason.USER_DECISION; // optional; null defaults to ISSUER_DECISION

d1Task.digitalCardService().unbindDevice(
        digitalCardID,
        bindingReference,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // Handle success.
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // Handle error.
            }
        });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/push-provisioning/implement-push-provisioning/implement-view-and-control/in-app-authentication-for-visa-ctf/unbind-a-device.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
